image: "maven"

build:
  script:
    - curl -L https://repo1.maven.org/maven2/org/openapitools/openapi-generator-cli/5.1.1/openapi-generator-cli-5.1.1.jar -o /tmp/openapi-generator-cli.jar
    - ls -l /tmp/openapi-generator-cli.jar
    - cd example-service-generated-modules
    - rm -rf out
    - java -jar /tmp/openapi-generator-cli.jar batch services/service-spring-appservice.yaml
    - java -Xmx1024M -DloggerPath=conf/log4j.properties -DsupportingFiles -jar /tmp/openapi-generator-cli.jar batch services/service-spring-controller.yaml
    - mvn -s ../resources/settings.xml -DaltDeploymentRepository=gitlab-maven::default::https://gitlab.com/api/v4/projects/${CI_PROJECT_ID}/packages/maven install deploy
    - cd ../example-service-api
    - mvn -s ../resources/settings.xml -DaltDeploymentRepository=gitlab-maven::default::https://gitlab.com/api/v4/projects/${CI_PROJECT_ID}/packages/maven deploy
